<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Christian Damsgaard Jrgensen (PMM)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."advertising_manager/infusion_db.php";

if (file_exists(INFUSIONS."advertising_manager/locale/".$settings['locale'].".php")) {
	include INFUSIONS."advertising_manager/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."advertising_manager/locale/English.php";
}

$inf_title = $locale['adm_title'];
$inf_description = $locale['adm_desc'];
$inf_version = "1.0";
$inf_developer = "Christian D. Jrgensen";
$inf_email = "pmm@php-fusion.co.uk";
$inf_weburl = "http://www.php-fusion.dk/";

$inf_folder = "advertising_manager";

$inf_newtable[1] = DB_ADVERTISING_MANAGER." (
ad_id MEDIUMINT(8) NOT NULL AUTO_INCREMENT,
ad_name VARCHAR(200) NOT NULL DEFAULT '',
ad_html TEXT NOT NULL,
ad_position VARCHAR(200) NOT NULL DEFAULT '',
ad_start INT(10) UNSIGNED NOT NULL DEFAULT '0',
ad_end INT(10) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (ad_id)
) TYPE=MyISAM;";

$inf_droptable[1] = DB_ADVERTISING_MANAGER;

$inf_adminpanel[1] = array(
	"title" => $locale['adm_admin'],
	"image" => "image.gif",
	"panel" => "advertising_manager.php",
	"rights" => "ADM"
);
?>