<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: advertising_manager_panel.php
| Author: Christian Damsgaard Jrgensen (PMM)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."advertising_manager/infusion_db.php";

$result = dbquery("SELECT * FROM ".DB_ADVERTISING_MANAGER);
if (dbrows($result)) {
	while ($data = dbarray($result)) {
		if ($data['ad_position'] == "pre_article" && ($data['ad_start'] == 0 || $data['ad_start'] <= time()) && ($data['ad_end'] == 0 || $data['ad_end'] >= time())) {
			replace_in_output("<!--pre_article-->", "<!--pre_article-->\n<div style=\'text-align:center; padding-top:5px; padding-bottom:10px;\'>".$data['ad_html']."</div>");
		} elseif ($data['ad_position'] == "sub_article" && ($data['ad_start'] == 0 || $data['ad_start'] <= time()) && ($data['ad_end'] == 0 || $data['ad_end'] >= time())) {
			replace_in_output("<!--sub_article-->", "<!--sub_article-->\n<div style=\'text-align:center; padding-top:5px; padding-bottom:10px;\'>".$data['ad_html']."</div>");
		} elseif ($data['ad_position'] == "news_prepost_x" && ($data['ad_start'] == 0 || $data['ad_start'] <= time()) && ($data['ad_end'] == 0 || $data['ad_end'] >= time())) {
			replace_in_output("<!--news_prepost_(.*?)-->", "<!--news_prepost_\\1-->\n<div style=\'text-align:center; padding-top:5px; padding-bottom:10px;\'>".$data['ad_html']."</div>");
		} elseif ($data['ad_position'] == "news_prepost_1" && ($data['ad_start'] == 0 || $data['ad_start'] <= time()) && ($data['ad_end'] == 0 || $data['ad_end'] >= time())) {
			replace_in_output("<!--news_prepost_1-->", "<!--news_prepost_1-->\n<div style=\'text-align:center; padding-top:5px; padding-bottom:10px;\'>".$data['ad_html']."</div>");
		} elseif ($data['ad_position'] == "news_prepost_even" && ($data['ad_start'] == 0 || $data['ad_start'] <= time()) && ($data['ad_end'] == 0 || $data['ad_end'] >= time())) {
			replace_in_output("<!--news_prepost_(\d*[02468])-->", "<!--news_prepost_\\1-->\n<div style=\'text-align:center; padding-top:5px; padding-bottom:10px;\'>".$data['ad_html']."</div>");
		} elseif ($data['ad_position'] == "sub_news_idx" && ($data['ad_start'] == 0 || $data['ad_start'] <= time()) && ($data['ad_end'] == 0 || $data['ad_end'] >= time())) {
			replace_in_output("<!--sub_news_idx-->", "<!--sub_news_idx-->\n<div style=\'text-align:center; padding-top:5px; padding-bottom:10px;\'>".$data['ad_html']."</div>");
		} elseif ($data['ad_position'] == "news_sub_readmore" && ($data['ad_start'] == 0 || $data['ad_start'] <= time()) && ($data['ad_end'] == 0 || $data['ad_end'] >= time())) {
			replace_in_output("<!--news_sub_readmore-->", "<!--news_sub_readmore-->\n<div style=\'text-align:center; padding-top:5px; padding-bottom:10px;\'>".$data['ad_html']."</div>");
		} elseif ($data['ad_position'] == "custompages-pre-content" && ($data['ad_start'] == 0 || $data['ad_start'] <= time()) && ($data['ad_end'] == 0 || $data['ad_end'] >= time())) {
			replace_in_output("<!--custompages-pre-content-->", "<!--custompages-pre-content-->\n<div style=\'text-align:center; padding-top:5px; padding-bottom:10px;\'>".$data['ad_html']."</div>");
		} elseif ($data['ad_position'] == "custompages-after-content" && ($data['ad_start'] == 0 || $data['ad_start'] <= time()) && ($data['ad_end'] == 0 || $data['ad_end'] >= time())) {
			replace_in_output("<!--custompages-after-content-->", "<!--custompages-after-content-->\n<div style=\'text-align:center; padding-top:5px; padding-bottom:10px;\'>".$data['ad_html']."</div>");
		} elseif ($data['ad_position'] == "pre_forum_thread" && ($data['ad_start'] == 0 || $data['ad_start'] <= time()) && ($data['ad_end'] == 0 || $data['ad_end'] >= time())) {
			replace_in_output("<!--pre_forum_thread-->", "<!--pre_forum_thread-->\n<div style=\'text-align:center; padding-top:10px; padding-bottom:10px;\'>".$data['ad_html']."</div>");
		} elseif ($data['ad_position'] == "forum_thread_prepost_x" && ($data['ad_start'] == 0 || $data['ad_start'] <= time()) && ($data['ad_end'] == 0 || $data['ad_end'] >= time())) {
			replace_in_output("<!--forum_thread_prepost_(.*?)-->", "<!--forum_thread_prepost_\\1-->\n<tr>\n<td colspan=\'2\' class=\'tbl1 forum_thread_post_space\' style=\'height:10px\'></td>\n</tr>\n<tr>\n<td class=\'tbl2 forum_thread_user_name\' style=\'width:140px\'></td>\n<td class=\'tbl2 forum_thread_post_date\'><div style=\'text-align:center; padding-top:10px; padding-bottom:10px;\'>".$data['ad_html']."</div></td>\n</tr>");
		} elseif ($data['ad_position'] == "forum_thread_prepost_1" && ($data['ad_start'] == 0 || $data['ad_start'] <= time()) && ($data['ad_end'] == 0 || $data['ad_end'] >= time())) {
			replace_in_output("<!--forum_thread_prepost_1-->", "<!--forum_thread_prepost_1-->\n<tr>\n<td colspan=\'2\' class=\'tbl1 forum_thread_post_space\' style=\'height:10px\'></td>\n</tr>\n<tr>\n<td class=\'tbl2 forum_thread_user_name\' style=\'width:140px\'></td>\n<td class=\'tbl2 forum_thread_post_date\'><div style=\'text-align:center; padding-top:10px; padding-bottom:10px;\'>".$data['ad_html']."</div></td>\n</tr>");
		} elseif ($data['ad_position'] == "forum_thread_prepost_even" && ($data['ad_start'] == 0 || $data['ad_start'] <= time()) && ($data['ad_end'] == 0 || $data['ad_end'] >= time())) {
			replace_in_output("<!--forum_thread_prepost_(\d*[02468])-->", "<!--forum_thread_prepost_\\1-->\n<tr>\n<td colspan=\'2\' class=\'tbl1 forum_thread_post_space\' style=\'height:10px\'></td>\n</tr>\n<tr>\n<td class=\'tbl2 forum_thread_user_name\' style=\'width:140px\'></td>\n<td class=\'tbl2 forum_thread_post_date\'><div style=\'text-align:center; padding-top:10px; padding-bottom:10px;\'>".$data['ad_html']."</div></td>\n</tr>");
		} elseif ($data['ad_position'] == "sub_forum_post_message" && ($data['ad_start'] == 0 || $data['ad_start'] <= time()) && ($data['ad_end'] == 0 || $data['ad_end'] >= time())) {
			replace_in_output("<!--sub_forum_post_message-->", "<!--sub_forum_post_message-->\n<br /><br />".$data['ad_html']."");
		} elseif ($data['ad_position'] == "sub_forum_post" && ($data['ad_start'] == 0 || $data['ad_start'] <= time()) && ($data['ad_end'] == 0 || $data['ad_end'] >= time())) {
			replace_in_output("<!--sub_forum_post-->", "<!--sub_forum_post-->\n<br /><br />".$data['ad_html']."");
		} elseif ($data['ad_position'] == "sub_forum_thread_table" && ($data['ad_start'] == 0 || $data['ad_start'] <= time()) && ($data['ad_end'] == 0 || $data['ad_end'] >= time())) {
			replace_in_output("<!--sub_forum_thread_table-->", "<!--sub_forum_thread_table-->\n<br />".$data['ad_html']."<br /><br />");
		} elseif ($data['ad_position'] == "sub_forum_thread" && ($data['ad_start'] == 0 || $data['ad_start'] <= time()) && ($data['ad_end'] == 0 || $data['ad_end'] >= time())) {
			replace_in_output("<!--sub_forum_thread-->", "<!--sub_forum_thread-->\n<div style=\'text-align:center; padding-top:10px; padding-bottom:10px;\'>".$data['ad_html']."</div>");
		} elseif ($data['ad_position'] == "pre_forum_idx" && ($data['ad_start'] == 0 || $data['ad_start'] <= time()) && ($data['ad_end'] == 0 || $data['ad_end'] >= time())) {
			replace_in_output("<!--pre_forum_idx-->", "<!--pre_forum_idx-->\n".$data['ad_html']."<br /><br />");
		} elseif ($data['ad_position'] == "sub_forum_idx_table" && ($data['ad_start'] == 0 || $data['ad_start'] <= time()) && ($data['ad_end'] == 0 || $data['ad_end'] >= time())) {
			replace_in_output("<!--sub_forum_idx_table-->", "<!--sub_forum_idx_table-->\n<br />".$data['ad_html']."");
		} elseif ($data['ad_position'] == "sub_forum_idx" && ($data['ad_start'] == 0 || $data['ad_start'] <= time()) && ($data['ad_end'] == 0 || $data['ad_end'] >= time())) {
			replace_in_output("<!--sub_forum_idx-->", "<!--sub_forum_idx-->\n<br />".$data['ad_html']."");
		} elseif ($data['ad_position'] == "pre_download_idx" && ($data['ad_start'] == 0 || $data['ad_start'] <= time()) && ($data['ad_end'] == 0 || $data['ad_end'] >= time())) {
			replace_in_output("<!--pre_download_idx-->", "<!--pre_download_idx-->\n".$data['ad_html']."<br /><br />");
		} elseif ($data['ad_position'] == "sub_download_idx" && ($data['ad_start'] == 0 || $data['ad_start'] <= time()) && ($data['ad_end'] == 0 || $data['ad_end'] >= time())) {
			replace_in_output("<!--sub_download_idx-->", "<!--sub_download_idx-->\n<br />".$data['ad_html']."");
		} elseif ($data['ad_position'] == "pre_download_cat" && ($data['ad_start'] == 0 || $data['ad_start'] <= time()) && ($data['ad_end'] == 0 || $data['ad_end'] >= time())) {
			replace_in_output("<!--pre_download_cat-->", "<!--pre_download_cat-->\n".$data['ad_html']."<br /><br />");
		} elseif ($data['ad_position'] == "pre_album_info" && ($data['ad_start'] == 0 || $data['ad_start'] <= time()) && ($data['ad_end'] == 0 || $data['ad_end'] >= time())) {
			replace_in_output("<!--pre_album_info-->", "<!--pre_album_info-->\n<div style=\'text-align:center; padding-top:10px; padding-bottom:10px;\'>".$data['ad_html']."</div>");
		} elseif ($data['ad_position'] == "sub_album_info" && ($data['ad_start'] == 0 || $data['ad_start'] <= time()) && ($data['ad_end'] == 0 || $data['ad_end'] >= time())) {
			replace_in_output("<!--sub_album_info-->", "<!--sub_album_info-->\n<div style=\'text-align:center; padding-top:10px; padding-bottom:10px;\'>".$data['ad_html']."</div>");
		} elseif ($data['ad_position'] == "photogallery_photo_x" && ($data['ad_start'] == 0 || $data['ad_start'] <= time()) && ($data['ad_end'] == 0 || $data['ad_end'] >= time())) {
			replace_in_output("<a (.*?)><!--photogallery_photo_([0-9]+)-->", "<div style=\'text-align:center; padding-top:10px; padding-bottom:10px;\'>".$data['ad_html']."</div>\n<a \\1><!--photogallery_photo_\\2-->");
		} elseif ($data['ad_position'] == "photogallery_photo_desc" && ($data['ad_start'] == 0 || $data['ad_start'] <= time()) && ($data['ad_end'] == 0 || $data['ad_end'] >= time())) {
			replace_in_output("<!--photogallery_photo_desc-->", "<!--photogallery_photo_desc-->\n<div style=\'text-align:center; padding-top:10px; padding-bottom:10px;\'>".$data['ad_html']."</div>");
		} elseif ($data['ad_position'] == "pre_faq_idx" && ($data['ad_start'] == 0 || $data['ad_start'] <= time()) && ($data['ad_end'] == 0 || $data['ad_end'] >= time())) {
			replace_in_output("<!--pre_faq_idx-->", "<!--pre_faq_idx-->\n".$data['ad_html']."<br /><br />");
		}
	}
}
?>